/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.DevisClt;

import Models.Produit.ListeProduit;
import javafx.collections.ObservableList;

/**
 *
 * @author PC-Maher
 */
public class Devis {
    
    private Integer TypeClient ;  //0 Personne  1 Entreprise 2 Passager
    private String CodeDevis ;
    private String CodeClient ;
    private String Nom;
    private String Prenom;
    private String Adresse; 
    private String Tele1;
    private String Tele2;
    private String Date;
    private String Validite;
    private String TypeRegement;
    private String NetAPayer ;
    private String TotalTVA ;
    private String TotalHorsTaxNet;
    private String Remise;
    private String timbre;
    private String matricule;
    private Integer CodeUser;  //code profile de utilisateur du programme
    
    private ObservableList<ListeProduit> listeproduit ;

    public Integer getTypeClient() {
        return TypeClient;
    }

    public void setTypeClient(Integer TypeClient) {
        this.TypeClient = TypeClient;
    }
    
    public String getTypeClientString() {
        String Client = null ;
        
        if(TypeClient == 0){
            Client= "Ancien client";
        }
        if(TypeClient == 1){
            Client= "Entreprise";
        }
        if(TypeClient == 2){
            Client= "Passager";
        }
        return Client ;
    }
    
    public String getCodeDevis() {
        return CodeDevis;
    }

    public void setCodeDevis(String CodeDevis) {
        this.CodeDevis = CodeDevis;
    }

    public String getCodeClient() {
        return CodeClient;
    }

    public void setCodeClient(String CodeClient) {
        this.CodeClient = CodeClient;
    }

    public String getTimbre() {
        return timbre;
    }

    public void setTimbre(String timbre) {
        this.timbre = timbre;
    }

    public String getNom() {
        return Nom;
    }

    public void setNom(String Nom) {
        this.Nom = Nom;
    }

    public String getPrenom() {
        return Prenom;
    }

    public void setPrenom(String Prenom) {
        this.Prenom = Prenom;
    }

    public String getAdresse() {
        return Adresse;
    }

    public void setAdresse(String Adresse) {
        this.Adresse = Adresse;
    }

    public String getTele1() {
        return Tele1;
    }

    public void setTele1(String Tele1) {
        this.Tele1 = Tele1;
    }

    public String getTele2() {
        return Tele2;
    }
    
    public String getTele2Null() {
        if(Tele2.length()==0){
          return "null";  
        }
        else{
          return Tele2;
        }
    }
    
    public void setTele2(String Tele2) {
        this.Tele2 = Tele2;
    }

    public String getDate() {
        return Date;
    }

    public void setDate(String Date) {
        this.Date = Date;
    }

    public String getValidite() {
        return Validite;
    }

    public void setValidite(String Validite) {
        this.Validite = Validite;
    }

    public String getTypeRegement() {
        return TypeRegement;
    }

    public void setTypeRegement(String TypeRegement) {
        this.TypeRegement = TypeRegement;
    }
    
    public String getTypeRegementString() {
        String mode ="";
        switch (this.TypeRegement) {
            case "0":
                mode= "Comptant";
                break;
            case "1":
                mode = "Facilité";
                break;
        }
        return mode ;
    }
    
    public int getTypeRegementInteger(){
        int mode = 0;
        switch (this.TypeRegement) {
            case "Comptant":
                mode= 0;
                break;
            case "Facilité":
                mode = 1;
                break;
        }
        return mode ;
    }
    
    
    public String getNetAPayer() {
        return NetAPayer;
    }

    public void setNetAPayer(String NetAPayer) {
        this.NetAPayer = NetAPayer;
    }

    public String getTotalTVA() {
        return TotalTVA;
    }

    public void setTotalTVA(String TotalTVA) {
        this.TotalTVA = TotalTVA;
    }

    public String getTotalHorsTaxNet() {
        return TotalHorsTaxNet;
    }

    public void setTotalHorsTaxNet(String TotalHorsTaxNet) {
        this.TotalHorsTaxNet = TotalHorsTaxNet;
    }

    public String getMatricule() {
        return matricule;
    }

    public void setMatricule(String matricule) {
        this.matricule = matricule;
    }

    public String getRemise() {
        return Remise;
    }

    public void setRemise(String Remise) {
        this.Remise = Remise;
    }
    
    public Integer getCodeUser() {
        return CodeUser;
    }

    public void setCodeUser(Integer CodeUser) {
        this.CodeUser = CodeUser;
    }
    
    
    public ObservableList<ListeProduit> getListeproduit() {
        return listeproduit;
    }

    public void setListeproduit(ObservableList<ListeProduit> listeproduit) {
        this.listeproduit = listeproduit;
    }

    
    
    
    
}
